--- title: "Get config group list" slug: "analytics-cdss-configgroup-getkafkaversionconfiggrouplist" tags: ["ConfigGroup", "Cloud Data Streaming Service"] updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-cdss-configgroup-getkafkaversionconfiggrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get config group list Available in VPC Get the list of config groups created by Kafka version. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/configGroup/getKafkaVersionConfigGroupList (Korea Region) | | POST | /api/sgn-v1/configGroup/getKafkaVersionConfigGroupList (Singapore Region) | | POST | /api/jpn-v1/configGroup/getKafkaVersionConfigGroupList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `kafkaVersionCode` | Integer | Required | Kafka version code - See [Get version](/docs/en/analytics-clouddatastreamingservice-cluster-getkafkaversionlist). | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/configGroup/getKafkaVersionConfigGroupList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "kafkaVersionCode": "3903006", "pageNo": 1, "pageSize": 10 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.currentPage` | Integer | - | Current page number | | `result.isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `result.isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `result.pageSize` | Integer | - | Page output count | | `result.totalCount` | Integer | - | Number of response results | | `result.totalPage` | Integer | - | Total number of pages | | `result.kafkaConfigGroupList` | Array | - | Config group list: [kafkaConfigGroupList](/docs/en/analytics-cdss-configgroup-getkafkaversionconfiggrouplist#kafkaConfigGroupList) | | `requestId` | String | - | ID for the request - UUID format | #### `kafkaConfigGroupList` The following describes `kafkaConfigGroupList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `kafkaVersionCode` | Integer | - | Kafka version code | | `kafkaVersion` | String | - | Kafka version | | `configGroupNo` | Integer | - | Config group number | | `configGroupName` | String | - | Config group name | | `description` | String | - | Description of config group | Note `permission` may be displayed in the response results, but they are not fields that users should refer to. ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "currentPage": 1, "isFirst": true, "isLast": true, "pageSize": 10, "totalCount": 1, "totalPage": 1, "kafkaConfigGroupList": [ { "kafkaVersionCode": "3903006", "kafkaVersion": "3.9.0", "configGroupNo": 3**, "configGroupName": "cg1", "description": "config group 1", "permission": "Allow" } ] }, "requestId": "34926977-****-****-****-ff0ad6816d93" } ```